Offline Aadhaar API
An Overview
This API service reads the data directly from the URL of the ZIP or XML file of an Offline Aadhaar to collect all the details.
- In the case of a zip file, you have to pass the password in the request body.
- In the case of XML, a file password is not required.
How to call the API
Before going for Auto reading, you first need to create an Identity object. The API responds with a JSON object upon creating a request.
API Input Guidelines
- A Zip file, or
- An XML file
- Size ?
Sample cURL Request
curl --location 'https://api.signzy.app/api/v3/aadhaar/offline-aadhaar' \
--header 'accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: <authkey>' \
--data-raw '{
"url": "https://preproduction-persist.signzy.tech/api/files/38387157/download/0eb521544dcb4b50812316cc9e4f05d625e6cdb978e9479d8d52c41c2fafee88.zip",
"password":"1234"
}'Input Parameters
Parameter | Description | Type | Required |
|---|---|---|---|
url | The URL of the offline Aadhaar file to process. | String | Required |
password | The password to access the offline Aadhaar file. | String | Required |
Authorization | The authorization key/token for API access. | String | Required |
Sample Response
{
"url": "<url>",
"id": "<id>",
"result": {
"name": "<name>",
"dob": "<dob>",
"yob": "<yob>",
"gender": "<gender>",
"emailHash": "<emailHash>",
"mobileNoHash": "<mobileNoHash>",
"address": "<address>",
"photo": "<photo>",
"uidLast4Digits": "<uidLast4Digits>",
"uid": "<uid>",
"generationDate": "<generationDate>",
"generationTime": "<generationTime>",
"unixTimeStamp": 0,
"dateDifference": 0,
"expiryTime": "",
"emailHashVerified": "<emailHashVerified>",
"mobileHashVerified": "<mobileHashVerified>",
"splitAddress": {
"district": ["<district>"],
"state": [
["<state>", "<stateAbbreviation>"]
],
"city": ["<city>"],
"pincode": "<pincode>",
"country": ["<countryCode>", "<countryAbbreviation>", "<countryName>"],
"addressLine": "<addressLine>"
},
"x509Data": {
"subjectName": "<subjectName>",
"certificate": "<certificate>",
"details": {
"version": 0,
"subject": {
"countryName": "<countryName>",
"organizationName": "<organizationName>",
"postalCode": "<postalCode>",
"stateOrProvinceName": "<stateOrProvinceName>",
"streetAddress": "<streetAddress>",
"houseIdentifier": "<houseIdentifier>",
"commonName": "<commonName>"
},
"issuer": {
"countryName": "<countryName>",
"organizationName": "<organizationName>",
"organizationalUnitName": "<organizationalUnitName>",
"postalCode": "<postalCode>",
"stateOrProvinceName": "<stateOrProvinceName>",
"streetAddress": "<streetAddress>",
"houseIdentifier": "<houseIdentifier>",
"commonName": "<commonName>"
},
"serial": "<serial>",
"notBefore": "<notBefore>",
"notAfter": "<notAfter>",
"subjectHash": "<subjectHash>",
"signatureAlgorithm": "<signatureAlgorithm>",
"fingerPrint": "<fingerPrint>",
"publicKey": {
"algorithm": "<algorithm>"
},
"altNames": [],
"extensions": {
"keyUsage": "<keyUsage>",
"extendedKeyUsage": "<extendedKeyUsage>",
"certificatePolicies": "<certificatePolicies>",
"basicConstraints": "<basicConstraints>",
"subjectAlternativeName": "<subjectAlternativeName>",
"cRLDistributionPoints": "<cRLDistributionPoints>",
"privateKeyUsagePeriod": "<privateKeyUsagePeriod>",
"authorityKeyIdentifier": "<authorityKeyIdentifier>",
"subjectKeyIdentifier": "<subjectKeyIdentifier>",
"entrustVersionInfo": "<entrustVersionInfo>"
}
},
"validAadhaarDSC": "<validAadhaarDSC>"
}
},
"instance": {}
}
Response Parameters
Parameter | Description | Type |
|---|---|---|
URL | The URL of the offline Aadhaar file processed. | String |
ID | The ID associated with the offline Aadhaar file. | String |
Name | The name of the Aadhaar holder. | String |
DOB | The date of birth of the Aadhaar holder. | String |
YOB | The year of birth of the Aadhaar holder. | String |
Gender | The gender of the Aadhaar holder. | String |
EmailHash | The hashed value of the email associated with the Aadhaar. | String |
MobileNoHash | The hashed value of the mobile number associated with the Aadhaar. | String |
Address | The address of the Aadhaar holder. | String |
Photo | The URL to the Aadhaar holder's photo. | String |
UIDLast4Digits | The last 4 digits of the Aadhaar UID number. | String |
UID | The masked Aadhaar UID. | String |
GenerationDate | The date when the offline Aadhaar was generated. | String |
GenerationTime | The time when the offline Aadhaar was generated. | String |
UnixTimeStamp | The Unix timestamp when the offline Aadhaar was generated. | Number |
DateDifference | The difference in days between the generation date and the current date. | Number |
ExpiryTime | The expiry time of the offline Aadhaar (if applicable). | String |
EmailHashVerified | Verification status of the email hash. | String |
MobileHashVerified | Verification status of the mobile number hash. | String |
SplitAddress | An object containing the split components of the address. | Object |
X509Data | Information related to the X509 certificate associated with the Aadhaar. | Object |
ValidAadhaarDSC | Verification status of the Aadhaar Digital Signature Certificate (DSC). | String |
Status Codes
CODE | DESCRIPTION |
|---|---|
422 | Unprocessible Entity |
400 | Bad Request |
200 | 200 OK |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].